﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="CreateAccount.aspx.cs" Inherits="CreateAccount" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Create a Fabrikam Account</title>
    <link href="art/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        &nbsp;</div>
        <table>
            <tr>
                <td style="width: 100px; height: 65px;">
                    <img src="art/fabrikam.gif" alt="Fabrikam"/></td>
                <td align="center" style="width: 299px; height: 65px;" class="PageTitle">
                    <b>Create a Fabrikam Account</b></td>
            </tr>
        </table>
        <br />
        <br />
        <table style="width: 100%">
            <tr>
                <td style="width: 20px; height: 358px;">
                </td>
                <td style="height: 358px; width: 771px;">
                    <h3 class="FormTitle">Create an Account</h3>
                    <table border="5" class="BorderTable">
                        <tr>
                            <td style="width: 756px"><table cellpadding="20">
                                    <tr>
                                        <td style="width: 100%"><b>We need some information from you to set up your new Fabrikam account:</b></td>
                                    </tr>
                                </table>
                                <asp:ValidationSummary ID="ValidationSummary1" runat="server" HeaderText="We're sorry, but there are a few things on your application that need to be changed before we can process it. Please see the messages below:" />
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 756px; height: 223px">
                                <table border="0" cellpadding="5" width="100%" class="DataEntryTable">
                                    <tr>
                                        <td class="FieldTitle" style="width: 12em">
                                            First name:</td>
                                        <td style="width: 20em">
                                            <asp:TextBox ID="txtFirstName" runat="server" CssClass="TextField"/></td>
                                        <td style="width: 20em">
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtFirstName"
                                                Display="Dynamic" ErrorMessage="First name is a required field."></asp:RequiredFieldValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle">
                                            Last name:</td>
                                        <td>
                                            <asp:TextBox ID="txtLastName" runat="server" CssClass="TextField"/>
                                        </td>
                                        <td>
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtLastName"
                                                Display="Dynamic" ErrorMessage="Last name is a required field."></asp:RequiredFieldValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle">
                                            Current email address:</td>
                                        <td>
                                            <asp:TextBox ID="txtEmail" runat="server" CssClass="TextField"/>
                                        </td>
                                        <td>
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtEmail"
                                                Display="Dynamic" ErrorMessage="Email is a required field."></asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtEmail"
                                                Display="Dynamic" ErrorMessage="Please enter a valid email address." ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle">
                                            Phone number:</td>
                                        <td>
                                            <asp:TextBox ID="txtPhone" runat="server" CssClass="TextField" ToolTip="Please provide a phone number in this form: (111) 555-1212"/>
                                        </td>
                                        <td>
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtPhone"
                                                Display="Dynamic" ErrorMessage="Phone number is a required field."></asp:RequiredFieldValidator>
                                            <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="txtPhone"
                                                Display="Dynamic" ErrorMessage="Please enter a phone number in the form 111-111-1111."
                                                ValidationExpression="((\(\d{3}\) ?)|(\d{3}-))?\d{3}-\d{4}"></asp:RegularExpressionValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle">
                                            Age:</td>
                                        <td>
                                            <asp:TextBox ID="txtAge" runat="server" CssClass="TextField"/>
                                        </td>
                                        <td>
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtAge"
                                                Display="Dynamic" ErrorMessage="Age is a required field."></asp:RequiredFieldValidator>
                                            <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="txtAge"
                                                Display="Dynamic" ErrorMessage="Please enter your age in years." MaximumValue="135"
                                                MinimumValue="1"></asp:RangeValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle">
                                            Date of purchase:</td>
                                        <td>
                                            <asp:TextBox ID="txtPurchaseDate" runat="server" CssClass="TextField" ToolTip="Please use the form mm/dd/yyyy"/>
                                        </td>
                                        <td>
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="txtPurchaseDate"
                                                Display="Dynamic" ErrorMessage="Purchase date is a required field."></asp:RequiredFieldValidator>
                                            <asp:RangeValidator ID="valPurchaseDate" runat="server" ControlToValidate="txtPurchaseDate"
                                                Display="Dynamic" ErrorMessage="Valid purchase dates are between 1/1/2000 and the present."
                                                MinimumValue="1/1/2000" Type="Date"></asp:RangeValidator></td>
                                    </tr>
                                    <tr>
                                        <td class="FieldTitle" colspan="2" style="text-align: center">
                                            <asp:Button ID="btnCreate" runat="server" Text="Create my account!" OnClick="btnCreate_Click" /></td>
                                        <td class="FieldTitle" colspan="1" style="text-align: center">
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
